## choose-mirror 2.77

=== Makefile ===
export USE_HTTP=1
export USE_HTTPS=1
#export USE_FTP=1
USE_FTP_MANUAL=1

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

CFLAGS=-Wall -g -D_GNU_SOURCE -DARCH_TEXT='"$(DEB_HOST_ARCH)"'
templates=debian/choose-mirror-bin.templates-in

ifeq (1,${USE_HTTP})
CFLAGS:=$(CFLAGS) -DWITH_HTTP
templates:=$(templates) debian/choose-mirror-bin.templates.http-in
endif
ifeq (1,${USE_HTTPS})
CFLAGS:=$(CFLAGS) -DWITH_HTTPS
templates:=$(templates) debian/choose-mirror-bin.templates.https-in
endif
ifeq (1,${USE_FTP})
CFLAGS:=$(CFLAGS) -DWITH_FTP
templates:=$(templates) debian/choose-mirror-bin.templates.ftp.base-in
templates:=$(templates) debian/choose-mirror-bin.templates.ftp.sel-in
endif
ifeq (1,${USE_FTP_MANUAL})
CFLAGS:=$(CFLAGS) -DWITH_FTP_MANUAL
templates:=$(templates) debian/choose-mirror-bin.templates.ftp.base-in
endif
templates:=$(templates) debian/choose-mirror-bin.templates.both-in

OBJS=$(subst .c,.o,$(wildcard *.c))
BIN=choose-mirror
LIBS=-ldebconfclient -ldebian-installer
STRIP=strip

# Derivative distributions may want to change these.
MIRRORLISTURL=https://anonscm.debian.org/git/mirror/mirror-masterlist.git/plain/Mirrors.masterlist
MASTERLIST=Mirrors.masterlist

ifdef DEBUG
CFLAGS:=$(CFLAGS) -DDODEBUG
else
CFLAGS:=$(CFLAGS) -Os -fomit-frame-pointer
endif

all: $(BIN) debian/choose-mirror-bin.templates

ifdef MIRRORLISTURL
# Freshen Mirrors.masterlist file, but allow failure.
$(MASTERLIST): force-try-update
	if [ "$$ONLINE" != n ]; then \
		if wget -nv '$(MIRRORLISTURL)' -O - > $@.new && \
		   test -s $@.new; then \
        		mv $@.new $@; \
		else \
			rm -f $@.new; \
		fi; \
	fi
force-try-update: ;

check-masterlist:
	@if [ -d .git ] && which git >/dev/null 2>&1; then \
		last=`git log --format=format:%at -- $(MASTERLIST)|head -1`; \
		now=`date +%s`; \
		if [ $$((now-last)) -gt $$((60*60*24*14)) ]; then \
			printf "\n\n*** WARNING: $(MASTERLIST) was last committed more\n"; \
			printf "*** than 2 weeks ago, maybe it needs an update?"; \
			echo; echo; echo "You can try the following command to run a sync, and use git diff/git commit:"; \
			echo "   make $(MASTERLIST)";\
			sleep 5; \
		fi; \
	fi
else
check-masterlist:
	:
endif

debian/iso_3166.tab:
	isoquery -c | cut -f 1,4 | sort >debian/iso_3166.tab

debian/httplist-countries: $(MASTERLIST) debian/iso_3166.tab
	./mirrorlist httplist $^

debian/httpslist-countries: $(MASTERLIST) debian/iso_3166.tab
	./mirrorlist httpslist $^

debian/ftplist-countries: $(MASTERLIST) debian/iso_3166.tab
	./mirrorlist ftplist $^

debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/httpslist-countries debian/ftplist-countries debian/iso_3166.tab
	# Grab ISO codes from iso-codes package
	./get-iso-codes
	# Build the templates
	./mktemplates $(templates)

mirrors_http.h: $(MASTERLIST) debian/iso_3166.tab
	if [ "$$USE_HTTP" ]; then ./mirrorlist http $^; fi

mirrors_https.h: $(MASTERLIST) debian/iso_3166.tab
	if [ "$$USE_HTTPS" ]; then ./mirrorlist https $^; fi

mirrors_ftp.h: $(MASTERLIST) debian/iso_3166.tab
	if [ "$$USE_FTP" ]; then ./mirrorlist ftp $^; fi

choose-mirror.o: mirrors_http.h mirrors_https.h mirrors_ftp.h

$(BIN): $(OBJS)
	$(CC) -o $(BIN) $(OBJS) $(LIBS) $(LDFLAGS)

strip: $(BIN)
	$(STRIP) --remove-section=.comment --remove-section=.note $(BIN)

# Size optimized and stripped binary target.
small: CFLAGS:=-Os $(CFLAGS) -DSMALL
small: clean strip debian/choose-mirror-bin.templates
	ls -l $(BIN)

ftp: CFLAGS:=-Os -Wall -g -D_GNU_SOURCE -DWITH_FTP -DSMALL
ftp: clean strip
	ls -l $(BIN)

http: CFLAGS:=-Os -Wall -g -D_GNU_SOURCE -DWITH_HTTP -DSMALL
http: clean strip
	ls -l $(BIN)

https: CFLAGS:=-Os -Wall -g -D_GNU_SOURCE -DWITH_HTTPS -DSMALL
https: clean strip
	ls -l $(BIN)

clean:
	rm -f $(BIN) $(OBJS) *~ mirrors_*.h
	rm -f debian/templates-countries debian/httplist-countries debian/httpslist-countries debian/ftplist-countries
	rm -f demo demo.templates
	rm -rf debian/iso-codes/ debian/pobuild*/
	rm -f debian/iso_3166.tab

reallyclean: clean
	rm -f debian/choose-mirror-bin.templates
ifdef MIRRORLISTURL
	rm -f Mirrors.masterlist
endif

.PHONY: demo
demo: choose-mirror demo.templates
	ln -sf choose-mirror demo
	DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./demo

demo.templates: debian/choose-mirror-bin.templates
	po2debconf $< > $@

=== debian/changelog ===
choose-mirror (2.77) unstable; urgency=medium

  * Fix FTBFS by adding [encoding: UTF-8] to POTFILES.in, which is needed
    since RE Réunion popped up in Mirrors.masterlist with the last update
    (Closes: #857545).
  * Update Mirrors.masterlist

 -- Cyril Brulebois <kibi@debian.org>  Thu, 16 Mar 2017 23:21:13 +0100

choose-mirror (2.76) unstable; urgency=medium

  * Update Mirrors.masterlist

 -- Cyril Brulebois <kibi@debian.org>  Sat, 11 Mar 2017 00:26:52 +0100

choose-mirror (2.75) unstable; urgency=medium

  [ Julien Cristau ]
  * Update Mirrors.masterlist location, moved from webwml to a separate git
    repo.

 -- Christian Perrier <bubulle@debian.org>  Tue, 21 Feb 2017 11:10:32 +0100

## choose-mirror 2.78

=== debian/changelog ===
choose-mirror (2.78) unstable; urgency=medium

  * Update Mirrors.masterlist

 -- Cyril Brulebois <kibi@debian.org>  Fri, 31 Mar 2017 00:48:28 +0200

## choose-mirror 2.78ubuntu2

=== debian/changelog ===
choose-mirror (2.78ubuntu2) artful; urgency=medium

  * Switch from zesty to artful as the default.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 26 Apr 2017 12:02:37 -0600

choose-mirror (2.78ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    * Add support for CC.ports.ubuntu.com; using the same logic as
      CC.archive.ubuntu.com for general country mirrors.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Only default mirror/country to the value of debian-installer/country
      if the latter has any mirrors; otherwise, fall through to defaulting
      to GB.
    - Exclude all-countries mirrors such as ports.ubuntu.com when
      determining whether there is a mirror in the country specified in
      debian-installer/country.
    - If the selected country has no mirror (excluding all-countries
      mirrors), then fall back to the default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Mar 2017 12:49:04 +0200

choose-mirror (2.77ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    * Add support for CC.ports.ubuntu.com; using the same logic as
      CC.archive.ubuntu.com for general country mirrors.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Only default mirror/country to the value of debian-installer/country
      if the latter has any mirrors; otherwise, fall through to defaulting
      to GB.
    - Exclude all-countries mirrors such as ports.ubuntu.com when
      determining whether there is a mirror in the country specified in
      debian-installer/country.
    - If the selected country has no mirror (excluding all-countries
      mirrors), then fall back to the default.
  * Drop UTF-8 patch for xgettext, merged in Debian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 Mar 2017 19:43:07 +0100

choose-mirror (2.75ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    * Add support for CC.ports.ubuntu.com; using the same logic as
      CC.archive.ubuntu.com for general country mirrors.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.
    - Only default mirror/country to the value of debian-installer/country
      if the latter has any mirrors; otherwise, fall through to defaulting
      to GB.
    - Exclude all-countries mirrors such as ports.ubuntu.com when
      determining whether there is a mirror in the country specified in
      debian-installer/country.
    - If the selected country has no mirror (excluding all-countries
      mirrors), then fall back to the default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Feb 2017 10:55:55 +0100

choose-mirror (2.74ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.


## choose-mirror 2.78ubuntu4

=== debian/changelog ===
choose-mirror (2.78ubuntu4) cosmic; urgency=medium

  * Switch from bionic to cosmic as the default.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 02 May 2018 14:51:57 -0600

choose-mirror (2.78ubuntu3) bionic; urgency=medium

  * Switch from artful to bionic as the default.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 07 Nov 2017 15:15:02 -0700

## choose-mirror 2.78ubuntu6

=== debian/changelog ===
choose-mirror (2.78ubuntu6) eoan; urgency=medium

  * Switch from disco to eoan as the default.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 21 Apr 2019 23:37:17 -0600

choose-mirror (2.78ubuntu5) disco; urgency=medium

  * Switch from cosmic to disco as the default.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 31 Oct 2018 22:50:00 -0600

## choose-mirror 2.79

=== debian/changelog ===
choose-mirror (2.79) unstable; urgency=medium

  * Update Mirrors.masterlist

 -- Cyril Brulebois <kibi@debian.org>  Wed, 07 Jun 2017 19:24:04 +0200

## choose-mirror 2.79+deb9u1

=== debian/changelog ===
choose-mirror (2.79+deb9u1) stretch; urgency=medium

  [ Cyril Brulebois ]
  * Update MIRRORLISTURL to point to salsa.

  [ Julien Cristau ]
  * Update Mirrors.masterlist.

 -- Julien Cristau <jcristau@debian.org>  Sat, 20 Apr 2019 11:55:45 +0200

## choose-mirror 2.79+deb9u1jasp1

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 STRIP=strip
 
 # Derivative distributions may want to change these.
-MIRRORLISTURL=https://anonscm.debian.org/git/mirror/mirror-masterlist.git/plain/Mirrors.masterlist
+#MIRRORLISTURL=https://salsa.debian.org/mirror-team/masterlist/raw/master/Mirrors.masterlist
 MASTERLIST=Mirrors.masterlist
 
 ifdef DEBUG

=== debian/changelog ===
choose-mirror (2.79+deb9u1jasp1) stretch; urgency=medium

  * Derivative upload.
  * Several improvements.

 -- Javier Serrano Polo <javier@jasp.net>  Sun, 28 Apr 2019 07:54:40 +0200

## choose-mirror 2.79+devuan2.4

=== debian/changelog ===
choose-mirror (2.79+devuan2.4) UNRELEASED; urgency=medium

  * trying to include pkgmaster.devuan.org

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sun, 11 Feb 2018 07:01:49 +0000

choose-mirror (2.79+devuan2.3) ascii; urgency=medium

  * amended default mirror
  * re-introduced country-based mirrors based on *.deb.devuan.org

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 05 Feb 2018 22:53:47 +0000

choose-mirror (2.79+devuan2.2) ascii; urgency=medium

  * fixed a bug in mirror list generation
  * introduced sane Devuan defaults 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sun, 28 Jan 2018 09:08:32 +0000

choose-mirror (2.79+devuan2.1) ascii; urgency=medium

  * amended mirror list

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 27 Jan 2018 15:27:20 +0000

choose-mirror (2.79+devuan2) ascii; urgency=medium

  * properly set deb.devuan.org and pkgmaster
  * removed HTTPS and FTP protocols for the moment

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Wed, 24 Jan 2018 23:06:54 +0000

choose-mirror (2.79+devuan1) unstable; urgency=medium

  [ KatolaZ ]
  * Added pkgmaster.devuan.org and deb.devuan.org
  * added missing gbp.conf


 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Thu, 18 Jan 2018 17:52:05 +0000

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: extra
Maintainer: Daniel Reurich <daniel@centurion.net.nz>
Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>
Build-Depends: debhelper (>= 9), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
Vcs-Browser:  https://git.devuan.org/d-i/choose-mirror
Vcs-Git: git://git.devuan.org/d-i/choose-mirror.git

Package: choose-mirror
Section: debian-installer
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
Section: debian-installer
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)

## choose-mirror 2.91

=== debian/changelog ===
choose-mirror (2.91) unstable; urgency=medium

  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).
  * Update MIRRORLISTURL to point to salsa as well.
  * Update Mirrors.masterlist

 -- Cyril Brulebois <kibi@debian.org>  Sun, 10 Jun 2018 11:59:03 +0200

choose-mirror (2.90) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Feb 2018 08:47:46 +0100

choose-mirror (2.89) unstable; urgency=medium

  [ Updated translations ]
  * Norwegian Nynorsk (nn.po) by Petter Reinholdtsen
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Wed, 31 Jan 2018 07:50:45 +0100

choose-mirror (2.88) unstable; urgency=medium

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Jan 2018 14:39:00 +0100

choose-mirror (2.87) unstable; urgency=medium

  [ Updated translations ]
  * Panjabi (pa.po) by Aman ALam
  * Serbian (sr.po) by Filipovic Dragan

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Jan 2018 11:32:31 +0100

choose-mirror (2.86) unstable; urgency=medium

  [ Updated translations ]
  * Nepali (ne.po) by Jeewal Kunwar

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Dec 2017 09:11:10 +0100

choose-mirror (2.85) unstable; urgency=medium

  * Update Mirrors.masterlist

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Dec 2017 14:52:10 +0100

choose-mirror (2.84) unstable; urgency=medium

  [ Updated translations ]
  * Hungarian (hu.po) by Dr. Nagy Elemér Károly
  * Lithuanian (lt.po) by Rimas Kudelis
  * Norwegian Nynorsk (nn.po) by Allan Nordhøy

 -- Christian Perrier <bubulle@debian.org>  Wed, 29 Nov 2017 06:28:45 +0100

choose-mirror (2.83) unstable; urgency=medium

  [ Updated translations ]
  * Greek (el.po) by Sotirios Vrachas
  * Estonian (et.po) by Kristjan Räts
  * Swedish (sv.po) by Anders Jonsson

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Nov 2017 19:41:58 +0100

choose-mirror (2.82) unstable; urgency=medium

  [ Updated translations ]
  * Greek (el.po) by Sotirios Vrachas
  * Albanian (sq.po) by Redon Skikuli

 -- Christian Perrier <bubulle@debian.org>  Thu, 14 Sep 2017 21:55:52 +0200

choose-mirror (2.81) unstable; urgency=medium

  * Update Mirrors.masterlist

 -- Cyril Brulebois <kibi@debian.org>  Thu, 24 Aug 2017 18:23:04 +0200

choose-mirror (2.80) unstable; urgency=medium

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by Yangfl

 -- Christian Perrier <bubulle@debian.org>  Mon, 26 Jun 2017 08:19:07 +0200

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: debhelper (>= 9), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
Vcs-Browser: https://salsa.debian.org/installer-team/choose-mirror
Vcs-Git: https://salsa.debian.org/installer-team/choose-mirror.git

Package: choose-mirror
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)

## choose-mirror 2.93

=== debian/changelog ===
choose-mirror (2.93) unstable; urgency=medium

  * Team upload

  [ Holger Wansing ]
  * Unfuzzy translations.

 -- Julien Cristau <jcristau@debian.org>  Wed, 12 Sep 2018 11:40:58 +0200

choose-mirror (2.92) unstable; urgency=medium

  * Team upload.

  [ Julien Cristau ]
  * Default http mirror to deb.debian.org (closes: #797340).
  * Update Mirrors.masterlist.

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani
  * Simplified Chinese (zh_CN.po) by Boyuan Yang

 -- Julien Cristau <jcristau@debian.org>  Fri, 07 Sep 2018 14:32:35 +0200

## choose-mirror 2.94

=== debian/changelog ===
choose-mirror (2.94) unstable; urgency=medium

  * Team upload

  [ Holger Wansing ]
  * Change deprecated Priority: extra into optional.

  [ Updated translations ]
  * Finnish (fi.po) by Juhani Numminen

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 29 Sep 2018 19:42:17 +0200

## choose-mirror 2.96~deb10u1

=== debian/changelog ===
choose-mirror (2.96~deb10u1) buster-proposed-updates; urgency=medium

  * Rebuild in buster to avoid the dependency on libc 2.28, which isn't
    ready to migrate yet.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 05 Dec 2018 17:32:54 +0000

choose-mirror (2.96) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Update Mirrors.masterlist.

  [ Updated translations ]
  * Greek (el.po) by Vangelis Skarmoutsos

 -- Cyril Brulebois <kibi@debian.org>  Wed, 05 Dec 2018 17:43:18 +0100

choose-mirror (2.95) unstable; urgency=medium

  * Team upload

  [ Philipp Kern ]
  * Update Mirrors.masterlist.
  * Bump maximum suite length from 32 to 128. If you try to install
    against some sort of snapshotted suite, you easily end up with longer
    strings and the additional memory use is very minimal.

  [ Updated translations ]
  * Marathi (mr.po) by Nayan Nakhare
  * Latvian: punctuation fixes

 -- Philipp Kern <pkern@debian.org>  Tue, 23 Oct 2018 14:15:45 +0200

## choose-mirror 2.97

=== debian/changelog ===
choose-mirror (2.97) unstable; urgency=medium

  * Remove trailing whitespaces from changelog file, to fix lintian tag.

  [ Updated translations ]
  * Persian (fa.po) by nima sahraneshin
  * Finnish (fi.po) by Juhani Numminen
  * Hebrew (he.po) by Yaron Shahrabani
  * Traditional Chinese (zh_TW.po) by Louies

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 08 Feb 2019 23:07:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: choose-mirror
 Section: debian-installer
-Priority: extra
+Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Cyril Brulebois <kibi@debian.org>
 Build-Depends: debhelper (>= 9), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery

## choose-mirror 2.99

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 STRIP=strip
 
 # Derivative distributions may want to change these.
-#MIRRORLISTURL=https://salsa.debian.org/mirror-team/masterlist/raw/master/Mirrors.masterlist
+MIRRORLISTURL=https://salsa.debian.org/mirror-team/masterlist/raw/master/Mirrors.masterlist
 MASTERLIST=Mirrors.masterlist
 
 ifdef DEBUG

=== debian/changelog ===
choose-mirror (2.99) unstable; urgency=medium

  * Update Mirrors.masterlist.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 10 Apr 2019 13:44:29 +0200

choose-mirror (2.98) unstable; urgency=medium
  * Team upload

  [ Updated translations ]
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 05 Mar 2019 20:26:10 +0100

## choose-mirror 2.99+deb10u1

=== debian/changelog ===
choose-mirror (2.99+deb10u1) buster; urgency=medium

  * Update Mirrors.masterlist.

 -- Julien Cristau <jcristau@debian.org>  Sun, 26 Apr 2020 20:07:35 +0200

## choose-mirror 2.99+deb10u1+nmu1

=== debian/changelog ===
choose-mirror (2.99+deb10u1+nmu1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:50:41 +0800

## choose-mirror 2.99+deb10u2

=== debian/changelog ===
choose-mirror (2.99+deb10u2) buster; urgency=medium

  * Update Mirrors.masterlist.

 -- Julien Cristau <jcristau@debian.org>  Fri, 20 Nov 2020 15:08:40 +0100

## choose-mirror 2.99+deb10u3

=== debian/changelog ===
choose-mirror (2.99+deb10u3) buster; urgency=medium

  * Update Mirrors.masterlist.

 -- Julien Cristau <jcristau@debian.org>  Thu, 28 Jan 2021 16:06:41 +0100

## choose-mirror 2.99+devuan4~beowulf1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 export USE_HTTP=1
-export USE_HTTPS=1
+#export USE_HTTPS=1
 #export USE_FTP=1
-USE_FTP_MANUAL=1
+#USE_FTP_MANUAL=1
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -33,7 +33,7 @@
 STRIP=strip
 
 # Derivative distributions may want to change these.
-MIRRORLISTURL=https://salsa.debian.org/mirror-team/masterlist/raw/master/Mirrors.masterlist
+MIRRORLISTURL=https://git.devuan.org/d-i/choose-mirror/raw/master/Mirrors.masterlist
 MASTERLIST=Mirrors.masterlist
 
 ifdef DEBUG

=== debian/changelog ===
choose-mirror (2.99+devuan4~beowulf1) beowulf; urgency=medium

  * Rebuild for beowulf.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 24 Apr 2020 17:43:48 +0100

choose-mirror (2.99+devuan4) unstable; urgency=medium

  * Re-enable choose_country() in expert mode as it gives the option to
    manually set mirror.
  * Exclude country code mirrors as they are deprecated.
  * Add new Primary mirror type.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 24 Apr 2020 10:34:39 +0100

choose-mirror (2.99+devuan3) unstable; urgency=medium

  * Make deb.devuan.org the default mirror.
  * Reorder mirror list so deb.devuan.org is first.
  * Update description for deb.devuan.org.
  * Avoid compiler warnings for unused functions set_country() and
    choose_country().

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 10 Feb 2020 12:57:12 +0000

choose-mirror (2.99+devuan2) unstable; urgency=medium

  * Remove ${CC}.deb.devuan.org mirror as it is deprecated and no longer
    prompt for country.
  * Update Vcs-* fields.
  * d/control: Add Origin.
  * d/gbp.conf: Target unstable.
  * Add myself to uploaders.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 06 Feb 2020 18:25:23 +0000

choose-mirror (2.99+devuan1) unstable; urgency=medium

  * merged in debian 2.99

 -- Ralph (rrq) Ronnquist <ralph.ronnquist@gmail.com>  Sat, 14 Dec 2019 11:00:00 +1100

choose-mirror (2.96+devuan2) unstable; urgency=medium

  * add ppc64el to mirrored architectures.

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Sat, 16 Feb 2019 20:16:55 +1300

choose-mirror (2.96+devuan1) unstable; urgency=medium

  * merge 2.96 into unstable

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 04 Feb 2019 06:51:18 +0000

choose-mirror (2.95+devuan1) unstable; urgency=medium

  * merged 2.95 into unstable 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 02 Nov 2018 13:45:32 +0000

choose-mirror (2.90+devuan1) unstable; urgency=medium

 * merged 2.90 from buster 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 14 Apr 2018 15:05:31 +0100
=======

choose-mirror (2.79+devuan2.4) ascii; urgency=medium

  * trying to include pkgmaster.devuan.org

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sun, 11 Feb 2018 07:01:49 +0000

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: extra
Maintainer: Daniel Reurich <daniel@centurion.net.nz>
Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
Build-Depends: debhelper (>= 9), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
Vcs-Browser:  https://git.devuan.org/devuan-packages/choose-mirror
Vcs-Git: git://git.devuan.org/devuan-packages/choose-mirror.git
Origin: Devuan

Package: choose-mirror
Section: debian-installer
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
Section: debian-installer
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)

## choose-mirror 2.101

=== debian/changelog ===
choose-mirror (2.101) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update Mirrors.masterlist.
  * mirrorlist: Make ports architectures use the Ports field. Note that an
    architecture is a port in usr/lib/choose-mirror/port_architecture
    (Closes: Bug#879130).
  * mktemplates: Make ports architectures default to debian-ports/ mirror
    directory.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 27 Nov 2019 12:33:18 +0100

choose-mirror (2.100) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927485)

  [ Samuel Thibault ]
  * Make hurd-i386 use ports mirror.
  * Use "deb.debian.org" as default hostname for custom HTTP mirror.

  [ Holger Wansing ]
  * Add comment for translators, to keep main menu entry below a 55 columns
    limit. This updates all po|pot files.

  [ Updated translations ]
  * Croatian (hr.po) by gogogogi
  * Portuguese (pt.po) by Miguel Figueiredo
  * Tajik (tg.po) by Victor Ibragimov

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 07 Oct 2019 20:31:20 +0200

## choose-mirror 2.108

=== debian/changelog ===
choose-mirror (2.108) unstable; urgency=medium

  * Team upload.
  * Update Mirrors.masterlist.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Greek, Modern (1453-) (el.po) by Vangelis Skarmoutsos
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Occitan (post 1500) (oc.po) by Quentin PAGÈS

 -- Julien Cristau <jcristau@debian.org>  Fri, 20 Nov 2020 14:57:04 +0100

choose-mirror (2.107) unstable; urgency=medium

  * Updated dead links in comments from svn.debian.org to salsa.debian.org.
    Includes updating all po|pot files.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Persian (fa.po) by سهیل خانعلی‌پور
  * Marathi (mr.po) by Prachi Joshi
  * Punjabi (Gurmukhi) (pa.po) by Aman ALam

  [ Updated translations ]
  * Kabyle (kab.po) by Slimane Selyan Amiri
  * Occitan (oc.po) by Quentin PAGÈS

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 04 Oct 2020 23:23:10 +0200

choose-mirror (2.106) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * French (fr.po) by Baptiste Jammet
  * Hebrew (he.po) by Yaron Shahrabani
  * Kannada (kn.po) by Yogesh
  * Polish (pl.po) by Bartosz Feński
  * Serbian (sr.po) by Filipovic Dragan

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 20 Sep 2020 22:00:45 +0200

choose-mirror (2.105) unstable; urgency=medium

  * Update Mirrors.masterlist.  Hopefully for the last time today.

 -- Julien Cristau <jcristau@debian.org>  Sun, 26 Apr 2020 20:04:00 +0200

choose-mirror (2.104) unstable; urgency=medium

  * Update Mirrors.masterlist, once more with feeling.

 -- Julien Cristau <jcristau@debian.org>  Sun, 26 Apr 2020 19:57:18 +0200

choose-mirror (2.103) unstable; urgency=medium

  * Update Mirrors.masterlist, with fixed architecture lists.

 -- Julien Cristau <jcristau@debian.org>  Sun, 26 Apr 2020 19:52:18 +0200

choose-mirror (2.102) unstable; urgency=medium

  * Update Mirrors.masterlist.

  [ Updated translations ]
  * Dutch (nl.po) by Frans Spiesschaert

 -- Julien Cristau <jcristau@debian.org>  Sun, 26 Apr 2020 19:32:28 +0200

## choose-mirror 2.109

=== debian/changelog ===
choose-mirror (2.109) unstable; urgency=medium

  * Team upload
  * Update Mirrors.masterlist.

  [ Updated translations ]
  * Estonian (et.po) by Kristjan Räts
  * Hindi (hi.po) by KushagraKarira
  * Tamil (ta.po) by Vasudevan Tirumurti

 -- Julien Cristau <jcristau@debian.org>  Thu, 28 Jan 2021 15:57:35 +0100

## choose-mirror 2.110

=== debian/changelog ===
choose-mirror (2.110) unstable; urgency=medium

  * Team upload
  * Update Mirrors.masterlist.

  [ Updated translations ]
  * Latvian (lv.po) by Tranzistors
  * Tamil (ta.po) by Vasudevan Tirumurti
  * Traditional Chinese (zh_TW.po) by louies0623

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 06 Apr 2021 11:20:24 +0200

## choose-mirror 2.111

=== debian/changelog ===
choose-mirror (2.111) unstable; urgency=medium

  * Update Mirrors.masterlist. This might be the last time it gets updated
    from the curated list fetched from Salsa (See: #989473).

  [ Updated translations ]
  * Croatian (hr.po) by Valentin Vidic

 -- Cyril Brulebois <kibi@debian.org>  Fri, 04 Jun 2021 19:13:46 +0200

## choose-mirror 2.111+deb11u1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 export USE_HTTP=1
-#export USE_HTTPS=1
+export USE_HTTPS=1
 #export USE_FTP=1
-#USE_FTP_MANUAL=1
+USE_FTP_MANUAL=1
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -33,7 +33,7 @@
 STRIP=strip
 
 # Derivative distributions may want to change these.
-MIRRORLISTURL=https://git.devuan.org/d-i/choose-mirror/raw/master/Mirrors.masterlist
+MIRRORLISTURL=https://salsa.debian.org/mirror-team/masterlist/raw/master/Mirrors.masterlist
 MASTERLIST=Mirrors.masterlist
 
 ifdef DEBUG
@@ -86,7 +86,10 @@
 debian/ftplist-countries: $(MASTERLIST) debian/iso_3166.tab
 	./mirrorlist ftplist $^
 
-debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/httpslist-countries debian/ftplist-countries debian/iso_3166.tab
+debian/port_architecture: $(MASTERLIST) debian/iso_3166.tab
+	./mirrorlist port_architecture $^
+
+debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/httpslist-countries debian/ftplist-countries debian/iso_3166.tab debian/port_architecture
 	# Grab ISO codes from iso-codes package
 	./get-iso-codes
 	# Build the templates
@@ -132,6 +135,7 @@
 	rm -f demo demo.templates
 	rm -rf debian/iso-codes/ debian/pobuild*/
 	rm -f debian/iso_3166.tab
+	rm -f debian/port_architecture
 
 reallyclean: clean
 	rm -f debian/choose-mirror-bin.templates

=== debian/changelog ===
choose-mirror (2.111+deb11u1) bullseye; urgency=medium

  * Team upload
  * Update Mirrors.masterlist.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Thu, 22 Aug 2024 21:23:53 +0100

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: debhelper (>= 9), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
Vcs-Browser: https://salsa.debian.org/installer-team/choose-mirror
Vcs-Git: https://salsa.debian.org/installer-team/choose-mirror.git

Package: choose-mirror
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)

## choose-mirror 2.111+devuan1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 export USE_HTTP=1
-export USE_HTTPS=1
+#export USE_HTTPS=1
 #export USE_FTP=1
-USE_FTP_MANUAL=1
+#USE_FTP_MANUAL=1
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -33,7 +33,7 @@
 STRIP=strip
 
 # Derivative distributions may want to change these.
-MIRRORLISTURL=https://salsa.debian.org/mirror-team/masterlist/raw/master/Mirrors.masterlist
+MIRRORLISTURL=https://git.devuan.org/d-i/choose-mirror/raw/master/Mirrors.masterlist
 MASTERLIST=Mirrors.masterlist
 
 ifdef DEBUG

=== debian/changelog ===
choose-mirror (2.111+devuan1) unstable; urgency=medium

  * Merge Debian 2.111.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 08 Jun 2021 17:46:02 +0100

choose-mirror (2.109+devuan1) unstable; urgency=medium

  * Merge Debian version 2.109.
  * d/control: update Vcs-* following gitea migration.
  * d/control: Priority extra (lintian).
  * d/gbp.conf: set debian-tag.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 09 Mar 2021 13:46:32 +0000

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: optional
Maintainer: Daniel Reurich <daniel@centurion.net.nz>
Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
Build-Depends: debhelper (>= 9), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
Vcs-Browser:  https://git.devuan.org/devuan/choose-mirror
Vcs-Git: git://git.devuan.org/devuan/choose-mirror.git
Origin: Devuan

Package: choose-mirror
Section: debian-installer
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
Section: debian-installer
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)

## choose-mirror 2.114

=== debian/changelog ===
choose-mirror (2.114) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 21 Aug 2022 17:03:25 +0200

choose-mirror (2.113) unstable; urgency=medium

  * Team upload

  * Update Mirrors.masterlist.

  [ Updated translations ]
  * Dutch (nl.po) by Frans Spiesschaert
  * Ukrainian (uk.po) by Taras Panchenko
  * Simplified Chinese (zh_CN.po) by Wenbin Lv

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 03 Jun 2022 20:50:36 +0200

choose-mirror (2.112) unstable; urgency=medium

  * Team upload.

  [ Phil Hands ]
  * Pull the mirror list from mirror-master.debian.org
  * Sort deb.debian.org first, then ftp*.*.debian.org, then others.

  [ Samuel Thibault ]
  * Makefile: Inherit CFLAGS from environment.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Oct 2021 16:23:14 +0100

## choose-mirror 2.117

=== debian/changelog ===
choose-mirror (2.117) unstable; urgency=medium

  * debian/choose-mirror-bin.templates.http-in: Enable partial translation for
    country list.
  * mktemplates: Do not use our own intltool-merge.
  * intltool-merge: Drop.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Jan 2023 14:10:51 +0100

choose-mirror (2.116) unstable; urgency=medium

  * intltool-merge: Fix emitting utf8 templates.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 17:03:59 +0100

choose-mirror (2.115) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * Make gbp tag produce the right tag format

  [ Updated translations ]
  * Amharic (am.po) by Danial Behzadi
  * Asturian (ast.po) by Danial Behzadi
  * Bengali (bn.po) by Danial Behzadi
  * Greek (el.po) by george kitsoukakis
  * Persian (fa.po) by Danial Behzadi

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 31 Dec 2022 17:44:32 +0100

## choose-mirror 2.118

=== debian/changelog ===
choose-mirror (2.118) unstable; urgency=medium

  [ Updated translations ]
  * Spanish (es.po) by gallegonovato
  * Macedonian (mk.po) by Kristijan Fremen Velkovski

 -- Cyril Brulebois <kibi@debian.org>  Wed, 15 Feb 2023 16:53:28 +0100

## choose-mirror 2.119

=== debian/changelog ===
choose-mirror (2.119) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Update Mirrors.masterlist.

  [ Updated translations ]
  * Vietnamese (vi.po) by tictactoe

 -- Cyril Brulebois <kibi@debian.org>  Wed, 29 Mar 2023 14:21:22 +0200

## choose-mirror 2.120

=== debian/changelog ===
choose-mirror (2.120) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Update Mirrors.masterlist.

  [ Updated translations ]
  * Georgian (ka.po) by Temuri Doghonadze
  * Polish (pl.po) by Matthaiks

 -- Cyril Brulebois <kibi@debian.org>  Wed, 26 Apr 2023 01:00:04 +0200

## choose-mirror 2.121

=== debian/changelog ===
choose-mirror (2.121) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Update Mirrors.masterlist.

  [ Updated translations ]
  * Polish (pl.po) by Matthaiks

 -- Cyril Brulebois <kibi@debian.org>  Sat, 13 May 2023 01:06:13 +0200

## choose-mirror 2.123

=== debian/changelog ===
choose-mirror (2.123) unstable; urgency=medium

  * Update Mirrors.masterlist.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 24 May 2023 11:10:30 +0200

choose-mirror (2.122) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bengali (bn.po) by Indrani Roy
  * Norwegian Nynorsk (nn.po) by Yngve Spjeld-Landro

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 21 May 2023 23:26:50 +0200

## choose-mirror 2.123devuan1

=== debian/changelog ===
choose-mirror (2.123devuan1) unstable; urgency=medium

  * Merge tag 2.123, preserving Devuan mirror list (no change).

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 26 May 2023 07:04:08 +0100

choose-mirror (2.122devuan1) unstable; urgency=medium

  * Merge tag 2.122.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 22 May 2023 16:04:05 +0100

choose-mirror (2.121devuan1) unstable; urgency=medium

  * Merge tag 2.121.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 16 May 2023 10:45:58 +0100

choose-mirror (2.120devuan1) unstable; urgency=medium

  * Merge tag 2.120.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 26 Apr 2023 07:11:15 +0100

choose-mirror (2.119devuan1) unstable; urgency=medium

  * Merge tag 2.119.
  * Update Mirrors.masterlist.
  * Avoid doubled directory separator in URLs.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 29 Mar 2023 15:49:28 +0100

choose-mirror (2.118devuan3) unstable; urgency=medium

  * Remove IPv6 keys, they are not used.
  * Regenerate mirror list with correct CC for mirrors in India.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 28 Feb 2023 18:53:38 +0000

choose-mirror (2.118devuan2) unstable; urgency=medium

  * Regenerate Mirrors.masterlist using new script to import Mirror list
    from panopticon.
  * Revert changes deprecating contry codes.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 22 Feb 2023 09:19:40 +0000

choose-mirror (2.118devuan1) unstable; urgency=medium

  * Merge tag 2.118.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 16 Feb 2023 10:25:46 +0000

choose-mirror (2.117devuan1) unstable; urgency=medium

  * Merge tag 2.117.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 02 Jan 2023 23:59:39 +0000

choose-mirror (2.115devuan1) unstable; urgency=medium

  * Merge tag 2.115.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 01 Jan 2023 07:47:23 +0000

choose-mirror (2.114devuan1) unstable; urgency=medium

  * Merge tag 2.114.
  * d/control: change maintenance to Devuan Developers list.
  * d/control: update Vcs-Git scheme; git:// is deprecated.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 22 Aug 2022 09:39:36 +0100

choose-mirror (2.113devuan1) unstable; urgency=medium

  * Merge tag 2.113.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 15 Aug 2022 17:11:34 +0100

## choose-mirror 2.123+deb12u1

=== debian/changelog ===
choose-mirror (2.123+deb12u1) bookworm; urgency=medium

  * Team upload
  * Update Mirrors.masterlist.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Thu, 22 Aug 2024 21:04:01 +0100

## choose-mirror 2.123+deb12u1trisquel8

=== debian/changelog ===
choose-mirror (2.123+deb12u1trisquel8) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 19 Mar 2025 09:19:27 +0000

## choose-mirror 2.124

=== debian/changelog ===
choose-mirror (2.124) lory; urgency=medium

  * Import new Debian release.
  * Remove some old mirrors.
  * Add local parrot mirrors.
  * Add lory release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 27 May 2024 02:36:10 +0200

choose-mirror (2.111+parrot3) parrot-updates; urgency=medium

  * Update Parrot mirrors.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 30 Sep 2022 18:54:39 +0200

choose-mirror (2.111+parrot2) parrot-updates; urgency=medium

  * Update Parrot mirrors.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 28 Jan 2022 04:49:21 +0100

choose-mirror (2.111+parrot1) lts-updates; urgency=medium

  * Import new Debian release.
  * Update Parrot mirrors.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 07 Jan 2022 17:24:38 +0100

choose-mirror (2.99+parrot4) rolling; urgency=medium

  * Update default mirror

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 10 Feb 2020 23:47:20 +0100

choose-mirror (2.99+parrot3) rolling; urgency=medium

  * Fix asis mirror domain (migrated from .io to .ai)
  * Make https countries selectable.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 19 Aug 2019 16:23:37 +0200

choose-mirror (2.99+parrot2) parrot; urgency=medium

  * Rebuild package.
  * Update templates.
  * Add https support.
  * Add parrot releases.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 16 Jul 2019 20:18:34 +0200

choose-mirror (2.99+parrot1) parrot; urgency=medium

  * Import new Debian release.
  * Import new Parrot Mirrors.masterlist.
  * Update Parrot version of Mirrors.masterlist.
  * Add GeoDNS mirrors.
  * Remove broken mirrors.
  * Add Missing mirrors.
  * Remove old mirrordirector.parrotsec.org archive.
  * Change display order of mirrors giving GeoDNS maximum priority.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 15 Jul 2019 21:23:36 +0200

choose-mirror (2.90+parrot1) testing; urgency=medium

  * Add truenetwork.ru mirror in Russia.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 11 Aug 2018 12:04:57 +0200

choose-mirror (2.89+parrot1) testing; urgency=medium

  * Add volia.net mirror in Ukraine

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 19 Mar 2018 13:37:09 +0100

choose-mirror (2.88+parrot1) testing; urgency=medium

  * Add turhish mirror.
  * Add italian legolas mirror.
  * Increment version to override debian version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 23 Jan 2018 20:04:52 +0100

choose-mirror (2.82+parrot2) testing; urgency=medium

  * Remove JMU mirror.
  * Add new master archive.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 01 Sep 2017 11:47:31 +0200

choose-mirror (2.82+parrot1) testing; urgency=medium

  * Update mirror redirector

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 04 Jul 2017 11:57:44 +0200

choose-mirror (2.82+parrot0) testing; urgency=medium

  * Update mirrors list
  * Add mirror director to every country

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 15 Jun 2017 16:43:01 +0200

choose-mirror (2.81+parrot0) testing; urgency=medium

  * Update mirrors list
  * Add original domains for mirrors with a parrotsec.org subdomain
  * Add babylon.network nl/fr and UOC
  * Remove MTU mirror
  * Remove Aptus mirror

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 29 Dec 2016 16:16:51 +0100

choose-mirror (2.80+parrot0) testing; urgency=medium

  * add TUNA repository

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 28 Aug 2016 18:16:42 +0200

choose-mirror (2.69+parrot1) testing; urgency=medium

  * remove oldstable flavour

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 06 Jul 2016 19:32:34 +0200

choose-mirror (2.69+parrot0) testing; urgency=medium

  * Update with Parrot mirrors

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 06 Jul 2016 17:41:31 +0200

=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper (>= 9), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery

Package: choose-mirror
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)
